# Generated by Django 3.0.3 on 2020-04-17 15:13

from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Funtion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('function', models.TextField()),
                ('catalytic_activity', models.TextField()),
                ('activity_regulation', models.TextField()),
                ('subcellular_location', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Protein',
            fields=[
                ('entry', models.CharField(max_length=50, primary_key=True, serialize=False, unique=True)),
                ('entry_name', models.CharField(max_length=50, unique=True)),
                ('protein_names', models.CharField(max_length=800)),
                ('cross_reference_GeneID', models.CharField(max_length=20)),
                ('gene_names', models.CharField(max_length=200)),
                ('organism', models.CharField(max_length=80)),
                ('taxonomy_lineage', models.CharField(max_length=300)),
                ('sequence', models.TextField()),
                ('length', models.PositiveIntegerField()),
                ('seq_similarities', models.CharField(max_length=300)),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('functions', models.ManyToManyField(to='proteins.Funtion')),
            ],
            options={
                'ordering': ['entry'],
            },
        ),
    ]
